LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Modules | Variables
RuleAction.idl File Reference

Go to the source code of this file.

## Modules
module | com
| – idl definition –
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::ucb
| Universal Content Broker interfaces.

## Constant Groups
constants | com::sun::star::ucb::RuleAction
| These are the possible values for Rule::Action.

## Variables
const short | NONE = 0
| "None" - Do nothing. More...
const short | SHOW = 1
| "Show" - Shows object when term matches. More...
const short | HIDE = 2
| "Hide" - Hides object when term matches. More...
const short | MARK = 3
| "Mark" - Marks object when term matches. More...
const short | UNMARK = 4
| "UnMark" - Removes mark from object when term matches. More...
const short | MARKREAD = 5
| "MarkRead" - Marks object as read when term matches. More...
const short | MARKUNREAD = 6
| "MarkUnRead" - Marks object as not read when term matches. More...
const short | MOVE = 7
| "Move" - Moves object to Rule::Parameter when term matches. More...
const short | COPY = 8
| "Copy" - Copies object to Rule::Parameter when term matches. More...
const short | DELETE = 9
| "Delete" - Deletes object when term matches. More...
const short | LINK = 10
| "Link" - Creates a link to Rule::Parameter when term matches. More...
const short | FORWARD = 11
| "Forward" - Forwards object to Rule::Parameter when term matches. More...